com.pivotal.gemfirexd.internal.client.am

## Class BatchUpdateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - java.sql.BatchUpdateException
        - - com.pivotal.gemfirexd.internal.client.am.BatchUpdateException

All Implemented Interfaces:
  Serializable, Iterable<Throwable>

    public class BatchUpdateException
    extends BatchUpdateException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BatchUpdateException(LogWriter logWriter)`
`BatchUpdateException(LogWriter logWriter, ClientMessageId msgid, int[] updateCounts)`
`BatchUpdateException(LogWriter logWriter, ClientMessageId msgid, Object[] args, int[] updateCounts)`
`BatchUpdateException(LogWriter logWriter, ClientMessageId msgid, Object[] args, int[] updateCounts, SqlException cause)`
`BatchUpdateException(LogWriter logWriter, ClientMessageId msgid, Object arg1, int[] updateCounts)`
`BatchUpdateException(LogWriter logWriter, int[] updateCounts)`
`BatchUpdateException(LogWriter logWriter, String reason, int[] updateCounts)`
`BatchUpdateException(LogWriter logWriter, String reason, String sqlState, int[] updateCounts)`
`BatchUpdateException(LogWriter logWriter, String reason, String sqlState, int errorCode, int[] updateCounts)`
`BatchUpdateException(LogWriter logWriter, String reason, String sqlState, int errorCode, int[] updateCounts, SqlException cause)`

### Method Summary

### Methods inherited from class java.sql.BatchUpdateException

`getUpdateCounts`

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BatchUpdateException

    public BatchUpdateException(LogWriter logWriter,
                        ClientMessageId msgid,
                        Object[] args,
                        int[] updateCounts,
                        SqlException cause)

#### BatchUpdateException

    public BatchUpdateException(LogWriter logWriter,
                        ClientMessageId msgid,
                        Object[] args,
                        int[] updateCounts)

#### BatchUpdateException

    public BatchUpdateException(LogWriter logWriter,
                        ClientMessageId msgid,
                        int[] updateCounts)

#### BatchUpdateException

    public BatchUpdateException(LogWriter logWriter,
                        ClientMessageId msgid,
                        Object arg1,
                        int[] updateCounts)

#### BatchUpdateException

    public BatchUpdateException(LogWriter logWriter)

#### BatchUpdateException

    public BatchUpdateException(LogWriter logWriter,
                        int[] updateCounts)

#### BatchUpdateException

    public BatchUpdateException(LogWriter logWriter,
                        String reason,
                        int[] updateCounts)

#### BatchUpdateException

    public BatchUpdateException(LogWriter logWriter,
                        String reason,
                        String sqlState,
                        int[] updateCounts)

#### BatchUpdateException

    public BatchUpdateException(LogWriter logWriter,
                        String reason,
                        String sqlState,
                        int errorCode,
                        int[] updateCounts)

#### BatchUpdateException

    public BatchUpdateException(LogWriter logWriter,
                        String reason,
                        String sqlState,
                        int errorCode,
                        int[] updateCounts,
                        SqlException cause)